Subject: bug#16856: [PATCH] Prevent bar cursor overwriting next glyph (bug#16856)

From: Alan Third <[email-masked]>
Date: Mon, 18 Jul 2016 15:26:57 +0100

On 17 July 2016 at 23:54, David Reitter <[email-masked]> wrote:
> No ill effects with that.  What is the glyph at the end of the line?

I don't know how the end-of-line is displayed. On the Windows Emacs
I've got here it's a narrow glyph (same as space, I think), so the bar
isn't displayed at it's full width if it's set to be wide. I expect
it'll be the same on the Mac, I can check later if you want.

> Also, about your patch, it seems like w->phys_cursor_width will then just be whatever it was before.

No, w->phys_cursor_width appears to hold the glyph width by default,
so we should end up with the smaller of cursor_width or the glyph
width.

I realise it might be more desirable to have the bar cursor be a
consistent width, but that would make the NS port different from all
the others, afaics.

-- 
Alan Third